Subject: Re: bug#44610: 27.1; Keyboard Macro Performance Problem

From: Robert Thorpe <[email-masked]>
Date: Wed, 18 Nov 2020 05:22:18 +0000

Jean Louis <[email-masked]> writes:

> * Eli Zaretskii <[email-masked]> [2020-11-16 19:23]:
>> > From: Robert Thorpe <[email-masked]>
>> > Cc: [email-masked]
>> > Date: Sun, 15 Nov 2020 23:44:32 +0000
>> > 
>> > > I suggest to produce and present a profile of this.  Invoke this macro
>> > > after "M-x profiler-start RET RET", then "M-x profiler-report RET",
>> > > expand the profile fully by "C-u RET" on the top line, and post the
>> > > result here.  That should give some clues.
>> > 
>> > Here is the report.  I did it in Python-mode using Emacs -Q on Emacs
>> > 27.1.  My machine is a Dell 14-3480.  The profile I've got seems to be a
>> > bit different to the one Jean Louis got.
>
> I was in empty buffer with python-mode. Maybe you had some python code
> already inside? I did not have.

In my buffer I did what I described in the bug report.  I had the string:

   ffffffffffffffffffff (pppppppppppppppppppp);

Copied 300 times.  That way the macro could operate on it.

BR,
Robert Thorpe